import { BaseStrategy } from "./modules/auth/strategies/base-strategy";
import { GoogleOAuth2Strategy } from "./modules/auth/strategies/google-strategy";
import { FacebookOAuth2Strategy } from "./modules/auth/strategies/facebook-strategy";
import { GitHubOAuth2Strategy } from "./modules/auth/strategies/github-strategy";
import { LinkedInOAuth2Strategy } from "./modules/auth/strategies/linkedin-strategy";
import { MicrosoftOAuth2Strategy } from "./modules/auth/strategies/microsoft-strategy";
import { TwitterOAuth2Strategy } from "./modules/auth/strategies/twitter-strategy";
import { AuthService } from "./modules/auth/core/services/auth.service";
import { AuthUtils } from "./modules/auth/core/services/auth-utils";
import baseSubscriber from "./subscribers/base-subscriber";
/**
 * Medusa plugin for OAuth2 authentication
 * V2 compatible plugin definition
 */
declare const _default: {
    name: string;
    version: string;
    loaders: ((container: any, options: any) => Promise<void>)[];
    subscribers: (typeof baseSubscriber)[];
    strategies: {
        base: typeof BaseStrategy;
        google: typeof GoogleOAuth2Strategy;
        facebook: typeof FacebookOAuth2Strategy;
        github: typeof GitHubOAuth2Strategy;
        linkedin: typeof LinkedInOAuth2Strategy;
        microsoft: typeof MicrosoftOAuth2Strategy;
        twitter: typeof TwitterOAuth2Strategy;
    };
    services: {
        authService: typeof AuthService;
    };
    utils: {
        authUtils: typeof AuthUtils;
    };
    keywords: string[];
};
export default _default;
