import { Router } from "express";
import { AuthService } from "../services/auth.service";
import { AuthProfile } from "../../strategies/base-strategy";
import { MedusaContainer } from "@medusajs/types";
import { Request, Response } from "express";
import session from "express-session";
export interface AuthRequest extends Request {
    session: session.Session & {
        authError?: Error;
        authProfile?: AuthProfile;
    };
}
export declare class AuthRouter {
    protected readonly router: Router;
    protected readonly container: MedusaContainer;
    protected readonly authService: AuthService;
    protected readonly cookieSecret: string;
    constructor(container: MedusaContainer);
    protected setupRoutes(): void;
    protected handleAuth(req: AuthRequest, res: Response): Promise<void>;
    protected handleCallback(req: AuthRequest, res: Response): Promise<void>;
    protected handleSuccess(req: AuthRequest, res: Response): void;
    protected handleError(req: AuthRequest, res: Response): void;
    getRouter(): Router;
}
