import { MedusaContainer } from "@medusajs/medusa";
export declare class AuthUtils {
    protected readonly container: MedusaContainer;
    constructor(container: MedusaContainer);
    /**
     * Compare a plain text password with a hashed password
     * @param plainPassword - Plain text password
     * @param hashedPassword - Hashed password
     * @returns True if passwords match, false otherwise
     */
    comparePassword(plainPassword: string, hashedPassword: string): Promise<boolean>;
    /**
     * Hash a password
     * @param password - Plain text password
     * @returns Hashed password
     */
    hashPassword(password: string): Promise<string>;
}
