import { MedusaContainer } from "@medusajs/types";
import { AuthEventData } from "../../types/workflow";
import { AuthProfile, IAuthStrategy, TransformedProfile } from "../../strategies/base-strategy";
import { Request } from "express";
export declare class AuthService {
    private container;
    private strategies;
    constructor(container: MedusaContainer);
    private loadStrategies;
    registerStrategy(name: string, strategy: IAuthStrategy): void;
    authenticate(provider: string, req: Request): Promise<AuthEventData>;
    validateCallback(provider: string, accessToken: string, refreshToken: string, profile: any): Promise<AuthProfile>;
    transformProfile(provider: string, profile: TransformedProfile): Promise<AuthProfile>;
}
