import { MedusaContainer } from "@medusajs/types";
import { AuthEventData } from "../../types/workflow";
import { IAuthStrategy } from "../../strategies/base-strategy";
import { PassportStrategy } from "../../types/strategy";
export declare class PassportService {
    protected readonly container: MedusaContainer;
    protected readonly strategies: Map<string, PassportStrategy>;
    constructor(container: MedusaContainer);
    registerStrategy(provider: string, strategy: PassportStrategy): void;
    getStrategy(provider: string): PassportStrategy | undefined;
    authenticate(provider: string, data: AuthEventData): Promise<Partial<AuthEventData>>;
    handleCallback(provider: string, data: AuthEventData, authStrategy: IAuthStrategy): Promise<Partial<AuthEventData>>;
}
