import { FindConfig, Selector, TransactionBaseService } from "@medusajs/medusa";
import { EntityManager } from "typeorm";
import { Auth } from "../models/auth";
import { AuthRepository } from "../repositories/auth";
type InjectedDependencies = {
    manager: EntityManager;
    authRepository: typeof AuthRepository;
};
type UpdateAuthInput = {
    provider?: string;
    provider_id?: string;
    profile?: Record<string, unknown>;
    metadata?: Record<string, unknown>;
};
export declare class AuthService extends TransactionBaseService {
    protected readonly authRepository_: typeof AuthRepository;
    protected readonly manager_: EntityManager;
    constructor({ manager, authRepository }: InjectedDependencies);
    retrieve(selector: Selector<Auth>, config?: FindConfig<Auth>): Promise<Auth>;
    create(data: Partial<Auth>): Promise<Auth>;
    update(id: string, data: UpdateAuthInput): Promise<Auth>;
    delete(id: string): Promise<void>;
}
export {};
