"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BaseStrategy = void 0;
class BaseStrategy {
    constructor(container, provider, config) {
        this.container = container;
        this.provider = provider;
        this.config = config;
    }
    getConfig() {
        return this.config;
    }
    transformToAuthProfile(transformed) {
        const authProfile = {
            id: transformed.id,
            email: transformed.email,
            firstName: transformed.first_name,
            lastName: transformed.last_name,
            displayName: transformed.displayName,
            provider: transformed.provider,
            picture: transformed.picture,
            locale: transformed.locale,
            verified: transformed.verified,
            metadata: transformed.metadata
        };
        return authProfile;
    }
    transformToTransformedProfile(auth) {
        const transformedProfile = {
            id: auth.id,
            email: auth.email,
            first_name: auth.firstName,
            last_name: auth.lastName,
            displayName: auth.displayName,
            provider: auth.provider,
            picture: auth.picture,
            locale: auth.locale,
            verified: auth.verified,
            metadata: auth.metadata
        };
        return transformedProfile;
    }
}
exports.BaseStrategy = BaseStrategy;
//# sourceMappingURL=base-strategy.js.map