import { MedusaContainer } from "@medusajs/types";
import { OAuth2BaseStrategy, OAuth2Options } from "./oauth2-strategy";
import { AuthEventData } from "../types/workflow";
import { AuthProfile, TransformedProfile } from "./base-strategy";
import { Request } from "express";
import { Strategy as FacebookStrategy, Profile } from "passport-facebook";
export interface FacebookConfig extends OAuth2Options {
    graphApiVersion?: string;
}
export declare class FacebookOAuth2Strategy extends OAuth2BaseStrategy {
    protected readonly graphApiVersion: string;
    protected strategy: FacebookStrategy;
    constructor(container: MedusaContainer, config: FacebookConfig);
    validateCallback(accessToken: string, refreshToken: string, profile: Profile, done: (error: any, user?: any) => void): Promise<void>;
    authenticateRequest(req: Request): void;
    transformProfile(profile: AuthProfile): Promise<TransformedProfile>;
    authenticate(reqOrData: Request | AuthEventData): Promise<Partial<AuthEventData>>;
    private isAuthEventData;
    protected getProfile(accessToken: string): Promise<AuthProfile>;
    protected getAccessToken(code: string): Promise<string>;
    afterAuth(data: AuthEventData): Promise<Partial<AuthEventData>>;
    onSuccess(data: AuthEventData): Promise<Partial<AuthEventData>>;
    onError(data: AuthEventData): Promise<Partial<AuthEventData>>;
}
