import { MedusaContainer } from "@medusajs/types";
import { OAuth2BaseStrategy, OAuth2Options } from "./oauth2-strategy";
import { AuthEventData } from "../types/workflow";
import { AuthProfile, TransformedProfile } from "./base-strategy";
import { Request } from "express";
import { Strategy as GoogleStrategy, Profile } from "passport-google-oauth20";
export interface GoogleConfig extends OAuth2Options {
    scope?: string[];
}
export declare class GoogleOAuth2Strategy extends OAuth2BaseStrategy {
    protected strategy: GoogleStrategy;
    constructor(container: MedusaContainer, config: GoogleConfig);
    validateCallback(accessToken: string, refreshToken: string, profile: Profile, done: (error: any, user?: any) => void): Promise<void>;
    authenticateRequest(req: Request): void;
    transformProfile(profile: AuthProfile): Promise<TransformedProfile>;
    authenticate(reqOrData: Request | any): Promise<Partial<AuthEventData>>;
    private handleAuthenticationCode;
    protected getProfile(accessToken: string): Promise<AuthProfile>;
    protected getAccessToken(code: string): Promise<string>;
    afterAuth(data: AuthEventData): Promise<any>;
    onSuccess(data: AuthEventData): Promise<Partial<AuthEventData>>;
    onError(data: AuthEventData): Promise<Partial<AuthEventData>>;
    getOAuth2Config(): OAuth2Options;
}
