import { MedusaContainer } from "@medusajs/types";
import { OAuth2BaseStrategy, OAuth2Options } from "./oauth2-strategy";
import { AuthEventData } from "../types/workflow";
import { AuthProfile, TransformedProfile } from "./base-strategy";
import { Request } from "express";
import { Strategy as LinkedInStrategy, Profile } from "passport-linkedin-oauth2";
export interface LinkedInConfig extends OAuth2Options {
    scope?: string[];
}
export declare class LinkedInOAuth2Strategy extends OAuth2BaseStrategy {
    protected strategy: LinkedInStrategy;
    constructor(container: MedusaContainer, config: LinkedInConfig);
    validateCallback(accessToken: string, refreshToken: string, profile: Profile, done: (error: any, user?: any) => void): Promise<void>;
    authenticateRequest(req: Request): void;
    transformProfile(profile: AuthProfile): Promise<TransformedProfile>;
    authenticate(reqOrData: Request | AuthEventData): Promise<Partial<AuthEventData>>;
    private isAuthEventData;
    protected getProfile(accessToken: string): Promise<AuthProfile>;
    protected getAccessToken(code: string): Promise<string>;
    afterAuth(data: AuthEventData): Promise<Partial<AuthEventData>>;
    onSuccess(data: AuthEventData): Promise<Partial<AuthEventData>>;
    onError(data: AuthEventData): Promise<Partial<AuthEventData>>;
}
