import { MedusaContainer } from "@medusajs/types";
import { OAuth2BaseStrategy, OAuth2Options } from "./oauth2-strategy";
import { AuthEventData } from "../types/workflow";
import { AuthProfile, TransformedProfile } from "./base-strategy";
import { Request } from "express";
import { Strategy as MicrosoftStrategy } from "passport-microsoft";
export interface MicrosoftConfig extends OAuth2Options {
    scope?: string[];
    tenant?: string;
}
type MicrosoftProfile = {
    id: string;
    displayName?: string;
    name?: {
        familyName?: string;
        givenName?: string;
    };
    emails?: Array<{
        value: string;
    }>;
    _json?: {
        tid?: string;
        userPrincipalName?: string;
    };
    photos?: Array<{
        value: string;
    }>;
};
export declare class MicrosoftOAuth2Strategy extends OAuth2BaseStrategy {
    protected strategy: MicrosoftStrategy;
    private tenant;
    constructor(container: MedusaContainer, config: MicrosoftConfig);
    validateCallback(accessToken: string, refreshToken: string, profile: MicrosoftProfile, done: (error: any, user?: any) => void): Promise<void>;
    authenticateRequest(req: Request): void;
    transformProfile(profile: AuthProfile): Promise<TransformedProfile>;
    authenticate(reqOrData: Request | AuthEventData): Promise<Partial<AuthEventData>>;
    private isAuthEventData;
    protected getProfile(accessToken: string): Promise<AuthProfile>;
    protected getAccessToken(code: string): Promise<string>;
    afterAuth(data: AuthEventData): Promise<Partial<AuthEventData>>;
    onSuccess(data: AuthEventData): Promise<Partial<AuthEventData>>;
    onError(data: AuthEventData): Promise<Partial<AuthEventData>>;
}
export {};
