import { MedusaContainer } from "@medusajs/types";
import { User } from "@medusajs/medusa";
import { BaseStrategy, AuthProfile, TransformedProfile } from "../strategies/base-strategy";
export type AuthWorkflowState = {
    strategy?: BaseStrategy;
    profile?: AuthProfile;
    transformedProfile?: TransformedProfile;
    user?: User;
    error?: Error;
    data?: Record<string, unknown>;
    container: MedusaContainer;
    provider: string;
};
export type AuthWorkflowOptions = {
    provider: string;
    authData?: Record<string, unknown>;
    container: MedusaContainer;
};
export declare const beforeAuthenticateStep: import("@medusajs/workflows-sdk").StepFunction<AuthWorkflowState, AuthWorkflowOptions>;
export declare const authenticateStep: import("@medusajs/workflows-sdk").StepFunction<AuthWorkflowState, AuthWorkflowState>;
export declare const transformProfileStep: import("@medusajs/workflows-sdk").StepFunction<AuthWorkflowState, AuthWorkflowState>;
export declare const createOrUpdateUserStep: import("@medusajs/workflows-sdk").StepFunction<AuthWorkflowState, AuthWorkflowState>;
export declare const finalizeStep: import("@medusajs/workflows-sdk").StepFunction<AuthWorkflowState, AuthWorkflowState>;
export declare const AuthWorkflow: import("@medusajs/workflows-sdk").ReturnWorkflow<AuthWorkflowState, AuthWorkflowOptions, Record<string, Function>>;
