import { IAuthStrategy } from "../../strategies/base-strategy";
import { AuthEventData } from "../../types/workflow";
export interface WorkflowHook<T> {
    beforeAuth?(data: T): Promise<Partial<T>>;
    authenticate(data: T): Promise<Partial<T>>;
    afterAuth?(data: T): Promise<Partial<T>>;
    onSuccess?(data: T): Promise<Partial<T>>;
    onError?(data: T): Promise<Partial<T>>;
}
export declare class AuthHook implements WorkflowHook<AuthEventData> {
    private readonly provider;
    private readonly strategy;
    constructor(provider: string, strategy: IAuthStrategy);
    beforeAuth(data: AuthEventData): Promise<Partial<AuthEventData>>;
    authenticate(data: AuthEventData): Promise<Partial<AuthEventData>>;
    afterAuth(data: AuthEventData): Promise<Partial<AuthEventData>>;
    onSuccess(data: AuthEventData): Promise<Partial<AuthEventData>>;
    onError(data: AuthEventData): Promise<Partial<AuthEventData>>;
}
