"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.registerWorkflows = registerWorkflows;
const auth_workflow_1 = require("./auth.workflow");
const auth_hook_1 = require("./hooks/auth.hook");
async function registerWorkflows(container) {
    const workflowManager = container.resolve("workflowManager");
    // Register the auth workflow
    const authWorkflow = new auth_workflow_1.AuthWorkflow(container);
    await workflowManager.register(authWorkflow);
    // Register the auth hook
    // The AuthHook requires provider and strategy arguments
    // Create a default hook with a base provider and a strategy to be populated later
    const defaultProvider = "default";
    const strategyManager = container.resolve("strategyManager");
    const defaultStrategy = strategyManager.getStrategy(defaultProvider);
    const authHook = new auth_hook_1.AuthHook(defaultProvider, defaultStrategy);
    await workflowManager.registerHook(authHook);
}
//# sourceMappingURL=index.js.map